locked
Expression Blend 4 for Windows Phone 安装失败 RRS feed

  • 问题

  • 我用的是win7的系统,安装有vs2010,silverlight 4,silverlight 4 tools,blend 4,silverlight 4 SDK,silverlight 4 developer,

    这几天我想学习WP7的开发,然后又安装了“Windows Phone 7 SDK 正式版 WPDT_RTM_en1.ISO”,安装时提示blend 4 for WP安装失败,后来我打开iso文件,手动安装blend 4 for WP,同样失败,大致原因是因为我安装了blend 4的其他版本(因为我机器上已经安装了blend 4和blend 3),

    后来我忽略了,打开vs2010 expression for WP,建立了一个silverlight app项目,然后跟以往一样,右键xaml,选择使用blend打开,但blend 4打开后提示不支持WP项目模板,我该怎么办呢?卸载我本机的blend3和4??可我还要开发web端的silverlight啊?

    2011年6月10日 14:24

答案

  • 真纠结啊。

    之前我遇到过类似情况,楼主应该按装的是Blend的中文版,导致按装不上WP7 for Blend的补丁。

    当时我是重新安装的。

    不知道还有什么好办法没。


    专注于Windows Phone
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:19
    2011年6月12日 7:06
  • 楼主的问题我也遇到过,如世外版主所述,是因为你安装的中文版的缘故,只能安装英文版的Blend 4后才能安装此程序http://hi.baidu.com/1987raymond/blog/item/6c7fc4199113d162dab4bd37.html

     


    Raymond Tang (Microsoft C# MVP)
    Denn Ich Gehoer nur mir
    微软中文论坛同城社区成都QQ群:74268428
    My Chinese Blog
    Chengdu,Sichuan Province,China
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:19
    2011年6月24日 2:54
  • 先卸载你现在的Blend。然后安装英文版Blend4,然后安装Windows Phone Developer Tools.

    这样,将来就既可以用英文版的Blend做Phone7,也可以做其他Web Silvelright等等~~


    Window Phone 7 is comming!
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:18
    2011年6月28日 7:50

全部回复

  • 真纠结啊。

    之前我遇到过类似情况,楼主应该按装的是Blend的中文版,导致按装不上WP7 for Blend的补丁。

    当时我是重新安装的。

    不知道还有什么好办法没。


    专注于Windows Phone
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:19
    2011年6月12日 7:06
  • 谢谢你的回答,

    那我是不是应该卸载blend 4中文版,然后再安装blend 4 for WP,完了之后再重新安装blend 4中文版,这样可以解决问题吗?

    2011年6月13日 5:49
  • 楼主的问题我也遇到过,如世外版主所述,是因为你安装的中文版的缘故,只能安装英文版的Blend 4后才能安装此程序http://hi.baidu.com/1987raymond/blog/item/6c7fc4199113d162dab4bd37.html

     


    Raymond Tang (Microsoft C# MVP)
    Denn Ich Gehoer nur mir
    微软中文论坛同城社区成都QQ群:74268428
    My Chinese Blog
    Chengdu,Sichuan Province,China
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:19
    2011年6月24日 2:54
  • 先卸载你现在的Blend。然后安装英文版Blend4,然后安装Windows Phone Developer Tools.

    这样,将来就既可以用英文版的Blend做Phone7,也可以做其他Web Silvelright等等~~


    Window Phone 7 is comming!
    • 已建议为答案 XuesongGao 2011年6月29日 0:42
    • 已标记为答案 jesse hao 2011年7月9日 8:18
    2011年6月28日 7:50